<ng-container>
    <div class="row text-center">
        <div class="col-md-12 col-sm-12">
            <div class="row justify-content-around">
                <div class="col-4">
                    <h3>Lista de Tareas</h3>
                </div>
                <div class="col-4">

                    <button type="button" (click)="configTarea(content)" class="btn btn-success">Agregar Tarea</button>
                </div>

            </div>
            <div>
                <div class="card-body text-dark">
                    <table class="table table-striped table-condensed">
                        <thead>
                            <tr class="col-12 ">
                                <th>id</th>
                                <th>name</th>
                                <th>description</th>
                                <th>status</th>
                                <th class="col-1">⚙</th>
                                <th class="col-1">⚙</th>
                            </tr>

                        </thead>
                        <tbody>
                            <tr class="col-12" *ngFor="let itemDetailPreview of items">


                                <td class="col-3">{{itemDetailPreview['id']}}</td>
                                <td class="col-3">{{itemDetailPreview['name']}}</td>
                                <td class="col-2">{{itemDetailPreview['description']}}</td>
                                <td class="col-1">{{itemDetailPreview['status']}}</td>
                                <td class="col-1">
                                    <button class="button" nbButton shape="round" title="borrar" size="tiny" status="danger" (click)="destroy(itemDetailPreview['id'])">🚫</button>
                                </td>
                                <td class="col-1">
                                    <button class="button" nbButton shape="round" title="Editar" size="tiny" status="primary" (click)="editTarea(content,itemDetailPreview)">✍</button>
                                </td>

                            </tr>




                            <!-- etc. -->
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</ng-container>

<ng-template class="modal-lg" #content let-modal>
    <app-tarea-form (ResponseEmitter)="capturar($event)" [tarea]="tarea"></app-tarea-form>
</ng-template>